<?
// przydzielanie modulow do serwisow - dodatkowa tebelka w bazie zawierajaca liste modulow przypisanych do konkretnych serwisow
// bedzie mozna wykluczyc obecna tabelke z modulami i proces instalacji

// dodawanie / rejestracja pol do modulu - tzn. modul moze wykrywac czy w aktualnym szablonie do wyswietlenia sa jego pola? 
// do tego bedzie potrzebna lista pol dla danego szablonu - taka liste mozna dodac do procesu tworzenia i zarzadzania szablonami





session_start();
	include "../../include/baza_danych.php";
	include "../../include/check_login.php";
	include "../../include/functions.php";

if(!isset($go)){$go = 'moduly';}

?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<link rel="stylesheet" type="text/css" href="../css/main.css" media="screen" />
	<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="../css/ie6_or_less.css" />
	<![endif]-->
	<script type="text/javascript" src="../js/common.js"></script>
<style>
@import url(../../include/domtt/domtt.css);
</style>
<script type="text/javascript" language="javascript" src="../../include/domtt/domLib.js"></script>
<script type="text/javascript" language="javascript" src="../../include/domtt/domTT.js"></script>
<script type="text/javascript" language="javascript">
var domTT_styleClass = 'domTTOverlib';
</script>
</head>
<body id="type-a">
<div id="wrap">

	<div id="header">
	</div>
	<div id="content-wrap">
		<div id="content">
			<div id="breadcrumb">
<?
if($logged_in==1 and pd(4)){


if($go=="lista_pol_modulow"){
  if(isset($akcja) & $akcja=="usun" & isset($id_pola)){
    if(isset($potwierdzenie_usuniecia)){
      $wykonaj = mysql_query ("DELETE FROM ".$db_pref."pole_modulu WHERE id='".$id_pola."';");
      $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole modułu zostało usunięte pomyślnie</p></div>';
      if(!$wykonaj){
      	$komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Błąd podczas próby usunięcia pola modułu z bazy</p></div>';
      }
    }else{
      $komunikat2 = '<div class="pagination">
      <p><a href="?go=lista_pol_modulow&akcja=usun&id_pola='.$id_pola.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=lista_pol_modulow"><font color="#FF0000">NIE</font></a></p>
      <h4>Czy napewno chcesz usunąć to pole modułu?</h4></div>';
      $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Zostanie usunięta pole modułowe o ID: '.$id_pola.'</p>'.$komunikat2.'</div>';
    }
  }
  
  $po_ile_na_stronie = 10;	
  $zapytanie_str = "SELECT id FROM ".$db_pref."pole_modulu";
  include"../../include/stronnicowanie.php";
			
			
	echo $komunikat.'
	         <table class="table1">
	         <thead>
	            <tr>
	            <th colspan="6">Lista pól modułowych</th>
	            </tr>
	         </thead>
	         <tbody>
	            <tr>
	            <th width="20px">ID</th>
	            <th>Nazwa</th>
	            <th width="100px">Modul</th>
	            <th width="70px">Alias</th>
	            <th width="20px">Akcje</th>
	            </tr>
	';
	
  $zapytanie = "SELECT * FROM ".$db_pref."pole_modulu ORDER BY `modul` ASC LIMIT ".$temp.",".$po_ile_na_stronie.";";
  $wykonaj = mysql_query ($zapytanie);
	if (!($wykonaj)) print mysql_error();
	if($wykonaj){
   while($wiersz=mysql_fetch_array ($wykonaj)){
      $id = $wiersz['id'];
      $nazwa_pola = $wiersz['nazwa_pola'];
      $opis_pola = $wiersz['opis'];
      $modul = $wiersz['modul'];
      
      $alias_pola = $nazwa_pola;
     
      $nazwa_pola = str_replace('_', " ", strtolower($nazwa_pola));
      $nazwa_pola = ucfirst($nazwa_pola);
     
		$nazwa = explode('mod_inc_',$modul);	      
	   $temp_nazwa = explode('.php',$nazwa[1]);  
		$nazwa_modulu = str_replace('_', " ", strtolower($temp_nazwa[0]));	
      $nazwa_modulu = ucfirst($nazwa_modulu);
      
      
	echo'       
	            <tr>
	            <td valign="top"><small>'.$id.'</small></td>
	            <th valign="top" class="sub"><div onmouseover="domTT_activate(this, event, \'content\', \''.$opis_pola.'\');">'.$nazwa_pola.'</div></th>
	            <td valign="top"><small>'.$nazwa_modulu.'</small></td>
	            <td valign="top"><small>&nbsp;&nbsp;'.$alias_pola.'&nbsp;&nbsp;<small></td>
	            <td valign="top"><center>
	            
	            
	            <a href="?go=lista_pol_modulow&akcja=usun&id_pola='.$id.'">'.ikonka("u").'</a>

	            </center></td>
	            </tr>
	'; 
  	}
	}

				
	echo'          
	         </tbody>
	         </table><br>
	';
}



if($go=="dodaj_pole_modulowe" & isset($modul)){

	if (isset($_POST['dodanie_pola_modulu'])){    
		if($nazwa_pola!=null & $opis_pola!=null){
			$wykonaj = mysql_query("INSERT INTO ".$db_pref."pole_modulu (nazwa_pola,opis,modul) VALUES ('".$nazwa_pola."','".$opis_pola."','".$modul."')");
	   	if($wykonaj){$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole zostało przypisane do modulu: <b>'.$modul.'</b></p></div>';}
		}else{
			$komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Wypełnij proszę wszystkie wymagane pola</p></div>';
		}

	}else{
		$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Pole modułowe zostanie dodane do modułu: '.$modul.'<br><small>(pola są przypisywane do modułu globalnie w zakresie całego systemu CMS)</small></p></div>';
	}

	echo $komunikat.'
			<form action="?go=dodaj_pole_modulowe" method="post" class="f-wrap-1">
			<input type="hidden" name="modul" value="'.$modul.'">
			
			<div class="req"><b>*</b> Pola wymagane</div>
			
			<fieldset>
			
			<h3>Dodawanie nowego pola modułowego</h3>
			
			<label for="nazwa_pola"><b><span class="req">*</span>Nazwa pola:</b>
			<input id="nazwa_pola" name="nazwa_pola" value="'.$nazwa_pola.'" type="text" class="f-name" tabindex="1" /><br />
			</label>
			
			<label for="opis_pola"><b><span class="req">*</span>Opis pola:</b>
			<textarea id="opis_pola" rows="2" name="opis_pola" class="f-name" tabindex="2">'.$opis_pola.'</textarea><br />
			</label>

			<div class="f-submit-wrap">
			<input type="submit" name="dodanie_pola_modulu" value="Dodaj pole modułowe" class="f-submit" tabindex="3" /><br />
			</div>
			</fieldset>
			</form>
	';

	

}



if($go=="moduly"){

      if(isset($plik) and !isset($operacja)){
        $wykonaj = mysql_query("INSERT INTO ".$db_pref."modul (nazwa_pliku,czas_utworzenia,id_serwisu) VALUES ('".$plik."','".time()."','".$_SESSION['ID_serwisu']."')");
        $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Moduł został pomyślnie zainstalowany</p></div>';
		  include "moduly/generowanie_pliku_modulow.php";
      }
      if(isset($operacja)){
		  $update_modul = mysql_query("UPDATE ".$db_pref."modul SET stan='".$operacja."' WHERE nazwa_pliku='".$plik."' and id_serwisu='".$_SESSION['ID_serwisu']."';");			
        $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Stan modułu został zmieniony pomyślnie</p></div>';
		  include "moduly/generowanie_pliku_modulow.php";	
      }			
			
	   $sciezka = $_SERVER['DOCUMENT_ROOT']."/mod/inc/";
		 
	   $lista = array();
      $katalog = opendir($sciezka);
      while ($plik = strtolower(readdir($katalog))) { 
        if (($plik<>".")&&($plik<>"..")&&($plik<>"index.php")&&($plik<>"css")&&($plik<>"ini")&&($plik<>"js")) { 
          if(!is_dir($sciezka.$plik)){
             $temp = null;
	          $temp = explode('.php',$plik);
	          if($temp[1]!=".add" and $temp[1]!=".bak" and !preg_match("/mod_sub/", $plik)){
	          	 $lista[] = $plik;
	          }
	       }
        } 
      } 
      closedir($katalog);
      sort($lista);


	echo'
   		<table class="table1">
			<thead>
				<tr>
				<th colspan="5">Lista wszystkich modułów zainstalowanych w CMSie</th>
				</tr>
			</thead>
			<tbody>
				<tr>
				<th width="80">Status</th>
				<th>Nazwa modułu</th>
				<th>Nazwa pliku modułu</th>
				<th width="100">Czas instalacji</th>
				<th width="30" align="center">Akcja</th>
				</tr>
	';
	
	for ($i=0;$i<count($lista);$i++) {
					
	   $zapytanie = "SELECT * FROM ".$db_pref."modul WHERE nazwa_pliku='".$lista[$i]."' and id_serwisu='".$_SESSION['ID_serwisu']."';";
	   $wykonaj = mysql_query ($zapytanie);
	   $stan = 0; $czas_utworzenia = 0;
	   $ile = mysql_num_rows($wykonaj);
	   if($ile!=0){
	      while($wiersz=mysql_fetch_array ($wykonaj)){
	         $stan = $wiersz['stan'];
	         $czas_utworzenia = $wiersz['czas_utworzenia'];
	      }
	   }
	   if($czas_utworzenia==0){
	   	$czas_utworzenia = '<font color="#ff0000">nie&nbsp;zainstalowany</font>';
	   }else{
	   	$czas_utworzenia = date('Y.m.d H:i:s', $czas_utworzenia);
	   }
             
	   if(!preg_match("/mod_sub_/", $lista[$i])){ 
	      if($stan==1){$stan_modulu = '<small>aktywny</small>';}else{
	      	$stan_modulu = '<font color="#ff0000"><small>nie aktywny</small></font>';
	      }       
	      $nazwa = explode('mod_inc_',$lista[$i]);	      
	      $temp_nazwa = explode('.php',$nazwa[1]);  
			$nazwa_modulu = str_replace('_', " ", strtolower($temp_nazwa[0]));	
			$nazwa_pliku = $lista[$i];
			
			
			
	      if(($stan==1) and ($ile==1)){
	         $kontrolka = "<a href='?plik=".$lista[$i]."&operacja=0'>wyłącz</a>";
	      }
	      if(($stan==0) and ($ile==1)){
	         $kontrolka = "<a href='?plik=".$lista[$i]."&operacja=1'>włącz</a>";
	      }                     
	      if($ile==0){
	         $kontrolka = "<a href='?plik=".$lista[$i]."'>instalacja</a>";
	      }
	   }

		if($nazwa_modulu!=""){
		   echo'
	          <tr>
		          <td align="center">'.$stan_modulu.'</td >
		          <th class="sub"><a href="?go=dodaj_pole_modulowe&modul='.$nazwa_pliku.'">'.ikonka("d").'</a> &nbsp;'.ucfirst($nazwa_modulu).'</th>
		          <td>'.$nazwa_pliku.'</td>
		          <td><small>'.$czas_utworzenia.'</small></td>
		          <td align="center">'.$kontrolka.'</td>
	          </tr>
		   '; 		
		}
	
		 
	}
	echo'			
			</tbody>
			</table>
			<br />
	';
}



}if($logged_in==0 or !pd(4)){echo'<center><h2>BRAK DOSTĘPU</h2></center>';}	
?>	
			</div>
		</div>
	</div>
</div>
</body>
</html>
